Groovy 1.7.0

## org.codehaus.groovy.tools.groovydoc
Class LinkArgument

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.LinkArgument

    class LinkArgument
    extends Object

Represents a link pair (href, packages). The packages are comma separated.

Constructor Summary
`LinkArgument()`

Method Summary
`String` | `getHref()` Get the href attribute.
`String` | `getPackages()` Get the packages attribute.
`void` | `setHref(String hr)` Set the href attribute.
`void` | `setPackages(String packages)` Set the packages attribute.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### LinkArgument

    LinkArgument()

Method Detail

### getHref

    public String getHref()

  Get the href attribute.
  return:
    the href attribute.

### getPackages

    public String getPackages()

  Get the packages attribute.
  return:
    the packages attribute.

### setHref

    public void setHref(String hr)

  Set the href attribute.
  param:
    hr a `String` value representing the URL to use for this link

### setPackages

    public void setPackages(String packages)

  Set the packages attribute.
  param:
    packages the comma separated package prefixs corresponding to this link

Copyright © 2003-2009 The Codehaus. All rights reserved.